Host Date Time System Update Date Time Config
Update the DateTime configuration of the host.
Update the DateTime configuration of the host.
Required privileges: Host.Config.DateTime
Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostDateTimeSystem/{moId}/UpdateDateTimeConfig
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostDateTimeSystem/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Request Body
UpdateDateTimeConfigRequestType
of type(s)
application/json
Required
Show optional properties
{
"config": {}
}
{
"config": {
"_typeName": "string",
"timeZone": "string",
"ntpConfig": {
"_typeName": "string",
"server": [
"string"
],
"configFile": [
"string"
]
},
"ptpConfig": {
"_typeName": "string",
"domain": 0,
"port": [
{
"_typeName": "string",
"index": 0,
"deviceType": "string",
"device": "string",
"ipConfig": {
"_typeName": "string",
"dhcp": false,
"ipAddress": "string",
"subnetMask": "string",
"ipV6Config": {
"_typeName": "string",
"ipV6Address": [
{
"_typeName": "string",
"ipAddress": "string",
"prefixLength": 0,
"origin": "string",
"dadState": "string",
"lifetime": "string",
"operation": "string"
}
],
"autoConfigurationEnabled": false,
"dhcpV6Enabled": false
}
}
}
]
},
"protocol": "string",
"enabled": false,
"disableEvents": false,
"disableFallback": false,
"resetToFactoryDefaults": false
}
}
config
Required
The new DateTime configuration information.
Responses
204
No Content
Operation doesn't return any data structure
500
HostConfigFault: if an error occurs.
Returns
HostConfigFault
of type(s)
application/json
This response body class contains all of the following:
VimFault
{
"_typeName": "string",
"faultCause": {
"_typeName": "string",
"faultCause": "MethodFault Object",
"faultMessage": [
{
"_typeName": "string",
"key": "string",
"arg": [
{
"_typeName": "string",
"key": "string",
"value": {
"_typeName": "string"
}
}
],
"message": "string"
}
]
},
"faultMessage": [
{
"_typeName": "string",
"key": "string",
"arg": [
{
"_typeName": "string",
"key": "string",
"value": {
"_typeName": "string"
}
}
],
"message": "string"
}
]
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"config":"{}"}' https://{api_host}/sdk/vim25/{release}/HostDateTimeSystem/{moId}/UpdateDateTimeConfig
On This Page
Virtual Infrastructure Operations
POST
Host Date Time System Query Available Time Zones
POST
Host Date Time System Query Date Time
POST
Host Date Time System Refresh Date Time System
POST
Host Date Time System Test Time Service
POST
Host Date Time System Update Date Time Config
POST
Host Date Time System Update Date Time
GET
Host Date Time System Get Date Time Info